Bug 57995 - gnome-terminal flips edges on negative geometry
Summary: gnome-terminal flips edges on negative geometry
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-04 17:23 UTC by Joe Harrington
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-18 22:54:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Harrington 2002-01-04 17:23:34 UTC
When given negative geometry specifications (like -0-0) gnome-terminal
places the window on the desktop adjacent to the current window.  In the
example given, the window should appear in the lower-right corner, but
actually appears in the upper-left corner of the desktop below and to the
right of the current one.  The behavior is similar if only one part of the
position is negative: -0+0 should put the window in the upper-right corner,
but it appears in the upper-left corner of the desktop to the right.  In
some particular cases, and inconsistently in those cases, such a misplaced
terminal will also be resized to a much smaller size.

This is under gnome-core-1.4.0.4-38 on a 7.2 i386 with all updates.

--jh--

Comment 1 Havoc Pennington 2002-01-18 22:54:37 UTC
This will most likely only be fixed with GNOME 2.

Comment 2 Havoc Pennington 2002-03-01 20:06:40 UTC
I recently made this work for GNOME 2. It's very hard to make it work for 1.x
though. We'll get the fix when we upgrade.


Note You need to log in before you can comment on or make changes to this bug.